Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO_Singleton.h File Reference

`#include "ace/TSS_T.h"`
`#include "tao/Versioned_Namespace.h"`
`#include "ace/Cleanup.h"`
`#include "tao/TAO_Singleton.inl"`

Include dependency graph for TAO_Singleton.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | TAO_Singleton< TYPE, ACE_LOCK >
| TAO-specific Singleton class. More...
class | TAO_TSS_Singleton< TYPE, ACE_LOCK >
| TAO-specific Singleton class. More...

## Detailed Description

Id
  TAO_Singleton.h,v 1.10 2005/11/02 17:09:31 ossama Exp

Header file for the TAO-specific Singleton implementation. Based entirely on ace/Singleton.*.

Author:
  Ossama Othman <ossama@uci.edu>